@import "../_variables.less";

span.volume-state {

  & > volume-meter {

    .volume-meter-wrapper {
      display: inline-flex;
    
      volume-bar {
        padding-right: 6px;
        padding-top  : 4px;
        width: 17px;
        padding-left: 2px;
      }
    }
  }

  .fa-volume-up,
  .xivo-micro,
  .xivo-micro-ferme {
    padding-left: 0px;
    width    : 8px;
    font-size: 13px;
  }
  .microphone-slash-margin {
    position: relative;
    right: 1px;
  }

  .primary-color {
    color: @xivo-primary;
  }

  .dark-color {
    color: @xivo-dark;
  }

  .gray-color {
    color :@xivo-dark-gray;
  }

  .warning-color {
    color: @xivo-warning;
  }

  .progress-bar-vertical {
    width        : 10px;
    height       : 25px;
    margin-bottom: 0px;
    display      : -webkit-box;
    /* OLD - iOS 6-, Safari 3.1-6, BB7 */
    display: -ms-flexbox;
    /* TWEENER - IE 10 */
    display: -webkit-flex;
    /* NEW - Safari 6.1+. iOS 7.1+, BB10 */
    display: flex;
    /* NEW, Spec - Firefox, Chrome, Opera */
    align-items        : flex-end;
    -webkit-align-items: flex-end;
    /* Safari 7.0+ */
  }

  .progress-bar-vertical .progress-bar {
    height: 0%;
    width : 10px;
    -webkit-transition:
            height 0.6s ease;
    -o-transition: height 0.6s ease;
    transition   : height 0.6s ease;
  }

  .background-primary-color {
    background-color: @xivo-primary;
  }

  .dark-background-color {
    background-color: @xivo-dark;
  }

  .gray-background-color {
    background-color: @xivo-dark-gray;
  }

  .warning-background-color {
    background-color: @xivo-warning;
  }

  .blinking {
    animation: blinkIcon 1s infinite;
  }
}